using System;
using System.Collections.Generic;
using System.Net.Http;
using Microsoft.AspNet.Mvc;
using System.Threading.Tasks;

namespace apiservice.Controllers{
	[Route("pwapi/[controller]")]
	public class PlantsController: Controller{
		// GET: pwapi/plants
		[HttpGet]
		public IEnumerable<string> Get(){
			//https://www.provenwinners.com/api/v0/plant_genus/list?apikey=rX3CfQumCrVVKodM6aPmZSVjkcJrdt
			return new [] { "Genus", "Abelia" };
		}
		
		//GET: pwapi/plants/1
		[HttpGet("{id}")]
		public async Task<string> Get(int id){
			var url="https://www.provenwinners.com/api/v0/plant_genus/list?apikey=rX3CfQumCrVVKodM6aPmZSVjkcJrdt";
			
			using(var client = new HttpClient()){
				client.BaseAddress=new Uri(url);
				client.DefaultRequestHeaders.Accept.Clear();
				var response=await client.GetAsync(url);
				
				//will throw an exception if not successful
				response.EnsureSuccessStatusCode();
				
				string content = await response.Content.ReadAsStringAsync();
				
				//return await Task.Run(() => JsonObject.Parse(content));
				return content;
			}
		}
		
		//GET: pwapi/plants/10076/features
		//sectionArray is passed as comma separated sections, e.g. images,awards,features
		//Available sections are: images, awards, series, culture, features, identity, characteristics, needs 
		[HttpGet("{id}/{sectionArray}")]
		public async Task<string> Get(int id, string sectionArray){
			var url="https://www.provenwinners.com/api/v0/plant/search?apikey=rX3CfQumCrVVKodM6aPmZSVjkcJrdt&sections="+sectionArray+"&plantid="+id;
			
			using(var client = new HttpClient()){
				client.BaseAddress=new Uri(url);
				client.DefaultRequestHeaders.Accept.Clear();
				var response=await client.GetAsync(url);
				
				//will throw an exception if not successful
				response.EnsureSuccessStatusCode();
				
				string content = await response.Content.ReadAsStringAsync();
				
				//return await Task.Run(() => JsonObject.Parse(content));
				return content;
			}
		}
	}
}