using System.Collections.Generic;

namespace apiservice.Models {
    public class Customer{
        public int Id { get; set; }
        public string CustomerName { get; set; }
        public string Street { get; set; }
        public string City { get; set; }
        public string StateAbbr { get; set; }
        public string StateName { get; set; }
        public string ZipCode { get; set; }
        public string Phone { get; set; }
    
        public List<ShippingAddress> ShippingAddresses { get; set; }
    
        public List<Customer> Customers(){
            var cs = new List<Customer> {
                new Customer {
                    Id = 1,
                    CustomerName = "Lawn & Garden - Row Garden Center",
                    Street = "10300 Roe",
                    City = "Overland Park",
                    StateAbbr = "MO",
                    StateName = "Missouri",
                    ZipCode = "66207",
                    Phone = "913.649.8700",
                    ShippingAddresses = new List<ShippingAddress> {
                        new ShippingAddress { Id = 1, CustomerId = 1, Street = "10510 Row", City = "Overland Estate", State = "MO", ZipCode = "66207" },
                        new ShippingAddress { Id = 2, CustomerId = 1, Street = "559th Avenue", City = "Indiana MP", State = "MO", ZipCode = "61229" }
                    }
                },
                new Customer {
                    Id=2,
                    CustomerName="Loma Vista Nursery",
                    Street="5901 NE 96th Street",
                    City="Kansas City",
                    StateAbbr="MO",
                    StateName="Missouri",
                    ZipCode="64156",
                    Phone="816.407.7888",
                    ShippingAddresses = new List<ShippingAddress> {
                        new ShippingAddress { Id = 3, CustomerId = 2, Street = "H Street 50th Row", City = "Washington DC", State = "FL", ZipCode = "10001" }
                    }
                },
                new Customer {
                    Id = 3,
                    CustomerName = "Heartland Nursery and Garden Center",
                    Street = "10300 View High Dr",
                    City = "Kansas City",
                    StateAbbr = "MO",
                    StateName = "Missouri",
                    ZipCode = "64134",
                    Phone = "816.763.7371",
                    ShippingAddresses = new List<ShippingAddress>()
                }
            };
        
            return cs;
        }
    }
}